//
// HostDataStore.cs
//
// Author:
//       Carsten Sonne Larsen <cs@innolan.net>
//
// Copyright (c) 2014 Carsten Sonne Larsen
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.
using System;

namespace Ntp.Analyzer.Gui.Data
{
    public sealed class HostDataStore
    {
        private static readonly HostDataStore instance = new HostDataStore ();

        public static HostDataStore Instance {
            get { return instance; }
        }

        public HostDataStore ()
        {
            Initialize ();
        }

        private void Initialize ()
        {
            string path = Environment.GetFolderPath (Environment.SpecialFolder.Personal);
            path += "/.ntpagui";

            if (!System.IO.Directory.Exists (path))
                System.IO.Directory.CreateDirectory (path);

            string file = path + "/ntpag.conf";

            hosts = new HostDataMapper (file);
        }

        private HostDataMapper hosts;

        public HostDataMapper Hosts {
            get { return hosts; }
        }
    }
}
