//
// WebDestination.cs
//
// Author:
//       Carsten Sonne Larsen <cs@innolan.net>
//
// Copyright (c) 2014 Carsten Sonne Larsen
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

using System;

namespace Ntp.Analyzer.Export
{
    // Refactor and use with IServable the same way as IStreamGenerator and StreamDestination
    public sealed class WebDestination : StreamDestination
    {
        public WebDestination (string path, string file)
        {
            this.path = path;
            this.file = file;
        }
        
        private readonly string file;
        private readonly string path;

        public override string Location
        {
            get { return file; }
        }

        public override string AbsoluteLocation
        {
            get { return (path != String.Empty ? path + "@" : String.Empty) + file; }
        }

        public override void Test ()
        {
            throw new NotImplementedException ();
        }

        public override void Write (System.IO.Stream stream, Ntp.Analyzer.Log.LogBase log)
        {
            throw new NotImplementedException ();
        }
    }
}
